Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class PropagationType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.PropagationType

    public class PropagationType

extends Object

Java class for PropagationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PropagationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Root" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Tid" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Timeout" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="Serial" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Coordinator" type="{http://www.atomikos.com/schemas/2005/10/transactions}AddressType"/>
             <element name="Properties" type="{http://www.atomikos.com/schemas/2005/10/transactions}PropertiesType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected AddressType` | `coordinator`
`protected PropertiesType` | `properties`
`protected String` | `root`
`protected boolean` | `serial`
`protected String` | `tid`
`protected long` | `timeout`

Constructor Summary
`PropagationType()`

Method Summary
`AddressType` | `getCoordinator()` Gets the value of the coordinator property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`PropertiesType` | `getProperties()` Gets the value of the properties property.
`String` | `getRoot()` Gets the value of the root property.
`String` | `getTid()` Gets the value of the tid property.
`long` | `getTimeout()` Gets the value of the timeout property.
`boolean` | `isSerial()` Gets the value of the serial property.
`void` | `setCoordinator(AddressType value)` Sets the value of the coordinator property.
`void` | `setProperties(PropertiesType value)` Sets the value of the properties property.
`void` | `setRoot(String value)` Sets the value of the root property.
`void` | `setSerial(boolean value)` Sets the value of the serial property.
`void` | `setTid(String value)` Sets the value of the tid property.
`void` | `setTimeout(long value)` Sets the value of the timeout property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected String root

### tid

    protected String tid

### timeout

    protected long timeout

### serial

    protected boolean serial

### coordinator

    protected AddressType coordinator

### properties

    protected PropertiesType properties

Constructor Detail

### PropagationType

    public PropagationType()

Method Detail

### getRoot

    public String getRoot()

  Gets the value of the root property.

  Returns:
    possible object is `String`

### setRoot

    public void setRoot(String value)

  Sets the value of the root property.

  Parameters:
    `value` - allowed object is `String`

### getTid

    public String getTid()

  Gets the value of the tid property.

  Returns:
    possible object is `String`

### setTid

    public void setTid(String value)

  Sets the value of the tid property.

  Parameters:
    `value` - allowed object is `String`

### getTimeout

    public long getTimeout()

  Gets the value of the timeout property.

### setTimeout

    public void setTimeout(long value)

  Sets the value of the timeout property.

### isSerial

    public boolean isSerial()

  Gets the value of the serial property.

### setSerial

    public void setSerial(boolean value)

  Sets the value of the serial property.

### getCoordinator

    public AddressType getCoordinator()

  Gets the value of the coordinator property.

  Returns:
    possible object is `AddressType`

### setCoordinator

    public void setCoordinator(AddressType value)

  Sets the value of the coordinator property.

  Parameters:
    `value` - allowed object is `AddressType`

### getProperties

    public PropertiesType getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesType`

### setProperties

    public void setProperties(PropertiesType value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesType`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.